Information Exposure Affecting com.liferay:com.liferay.layout.item.selector.web package, versions [,5.0.2)


0.0
medium

Snyk CVSS

    Attack Complexity Low

    Threat Intelligence

    EPSS 0.05% (17th percentile)
Expand this section
NVD
8.1 high

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-JAVA-COMLIFERAY-6239646
  • published 9 Feb 2024
  • disclosed 8 Feb 2024
  • credit Unknown

How to fix?

Upgrade com.liferay:com.liferay.layout.item.selector.web to version 5.0.2 or higher.

Overview

com.liferay:com.liferay.layout.item.selector.web is a Liferay Layout Item Selector Web.

Affected versions of this package are vulnerable to Information Exposure due to the improper handling of the doAsUserId URL parameter when creating linked content using the WYSIWYG editor and while impersonating a user. An attacker can impersonate a user after accessing the linked content by exploiting the leakage of this parameter.